package dev.pfaff.altargui;

import dev.pfaff.altargui.host.Host;
import org.jspecify.annotations.Nullable;

import static java.util.Objects.requireNonNull;

public final class GuiGlobalsInit {
	static @Nullable Host host;

	public static void setHost(Host hostIn) {
		if (host != null) throw new IllegalStateException("host is already initialized");
		host = requireNonNull(hostIn);
	}
}
